%define installdir %apache_htdocsdir/addon-modules/horde/sam

Name: horde3-sam
Version: 0.1
Release: alt3

Summary: SAM is the Horde Spam Assassin module
License: GPL
Group: Networking/Mail
URL: http://www.horde.org/

Source: sam-0.1-cvs20050329.tar.gz
Source1: sam.conf
BuildArchitectures: noarch

Requires: horde3
BuildPreReq: apache-devel

# Speed-up build process
AutoReqProv: off
%define _verify_elf_method skip
%define _strip_method none

%description
SAM is the Horde Spam Assassin module. It allows each user to change their
specific anti-spam rules, given a general subset of the overall features
that are available. 

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with IMP)
please visit http://www.horde.org/.

%prep
%setup -q -n sam-0.1-cvs20050329

%build

%install
%__mkdir_p %buildroot%apache_addonconfdir.d
%__cp %SOURCE1 %buildroot%apache_addonconfdir.d
%__mkdir_p %buildroot%installdir
%__cp --preserve -pR * %buildroot%installdir
%__rm -rf %buildroot%installdir/docs
%__rm -f %buildroot%installdir/{README,COPYING}
cd %buildroot%installdir/config
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done
touch conf.php
rm -f .cvsignore
echo "Deny from all" >.htaccess

%pre

%post
# post-install instructions:

# patching old type of httpd.conf
if egrep -q "^Include conf/addon-modules.?d?/sam.conf" %apache_conf; then
    %__subst "/Include conf\/addon-modules\/sam.conf/d" %apache_conf
    %__subst "/Include conf\/addon-modules.d\/sam.conf/d" %apache_conf
fi

if ! grep -q "^Include conf/addon-modules.d/\*.conf" %apache_conf; then
    echo "Include conf/addon-modules.d/sam.conf" >> %apache_conf
fi

/sbin/service httpd condrestart

cat <<_EOF_
You must manually configure SAM!
See INSTALL
_EOF_

%postun
if [ $1 -eq 0 ]; then
	if [ -f %apache_conf ] ; then
		grep -q "^Include conf/addon-modules.d/sam.conf" %apache_conf &&
			%__subst "/Include conf\/addon-modules.d\/sam.conf/d" %apache_conf
		/sbin/service httpd condrestart
	fi
fi

%files
%config(noreplace) %apache_addonconfdir.d/sam.conf
%dir %installdir
# Include top-level files by hand
%installdir/*.php
%installdir/lib
%installdir/locale
%installdir/po
%installdir/scripts
%installdir/themes
%installdir/templates
%doc COPYING README docs/*
# Mark configuration files with %%config and use secure permissions
# (note that .dist files are considered software; don't mark %%config)
%attr(750,root,%apache_group) %dir %installdir/config
%defattr(640,root,%apache_group)
%installdir/config/.htaccess
%installdir/config/*.dist
%installdir/config/*.xml
%config(noreplace) %installdir/config/*.php

%changelog
* Fri Nov 25 2005 Leonid Shalupov <shalupov@altlinux.ru> 0.1-alt3
- strip unnecessary dependencies (#8418)

* Wed Oct 12 2005 Leonid Shalupov <shalupov@altlinux.ru> 0.1-alt2
- documentation moved to %%doc

* Wed Jun 15 2005 Leonid Shalupov <shalupov@altlinux.ru> 0.1-alt1
- Sisyphus build

* Tue Mar 29 2005 Leonid Shalupov <shalupov@altlinux.ru> 0.1-ucvt1
- Initial build
